commit:     6cdbc4fb5b98c7d4839c399bea94ce3bcc7c0274
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 29 20:04:41 2016 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 20:04:41 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6cdbc4fb

dev-python/uncompyle6: Version bump

Package-Manager: portage-2.3.2

 dev-python/uncompyle6/Manifest                |  1 +
 dev-python/uncompyle6/uncompyle6-2.9.6.ebuild | 46 +++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/uncompyle6/Manifest b/dev-python/uncompyle6/Manifest
index 39f2884..ba7d352 100644
--- a/dev-python/uncompyle6/Manifest
+++ b/dev-python/uncompyle6/Manifest
@@ -1 +1,2 @@
 DIST uncompyle6-2.8.3.tar.gz 504536 SHA256 
213a5742d89d528e539121ab68b8d897a9fc60997ec30f6ec0764b6ca2d4a543 SHA512 
635983a945a05f649d0f78191c59f6d1f0a7c922ad3bc8fc53396514a4cd133cdef228bac3189cd04d0c2104fb5da128f0ad8f868f6cfdd0bf3a0d52e08e773d
 WHIRLPOOL 
93b1085e1b92e6dbfad39f27094636303d022298ee17460ea0f95d3338c6f0f1c03c6a0584d4805375c491e21fa7ca8e8b709532e6d9d1973d9a0b323734441b
+DIST uncompyle6-2.9.6.tar.gz 865986 SHA256 
5257fa0c98d116c632aa369ecc641db737ad14783cff98d3d6d166fe63faa42c SHA512 
8aa3124fa7f93f090b4c5a133c6c6d1094b6a6cd809b1d230e4458b4743fce6c69fe48799c5cfd99fc1ff28d034602c834905f16642b7245fc05f066319e33e7
 WHIRLPOOL 
65300993c3a5bdc21b977e28d4774f87c995b28c0844929fa0391342654f043a2a2a031f307e182ca64dd8986047f78807259ec2f0aefc63e5f15ca9e1a7e5ef

diff --git a/dev-python/uncompyle6/uncompyle6-2.9.6.ebuild 
b/dev-python/uncompyle6/uncompyle6-2.9.6.ebuild
new file mode 100644
index 00000000..e7bb70e
--- /dev/null
+++ b/dev-python/uncompyle6/uncompyle6-2.9.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Python cross-version byte-code deparser"
+HOMEPAGE="https://github.com/rocky/python-uncompyle6/ 
https://pypi.python.org/pypi/umcompyle6";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+       >=dev-python/xdis-3.2.3
+       <dev-python/xdis-3.3.0
+       >=dev-python/spark-parser-1.4.0
+       <dev-python/spark-parser-1.5.0"
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-python/nose-1.0[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       rm -R test/__pycache__ || die "removal of test/__pycache__ failed"
+       rm -R test/pycdc || die "removal of test/pycdc failed"
+       distutils-r1_python_prepare_all
+}
+
+# the pypi page says to run "make check" to test
+# There are numerous more tests, but not all pass, so
+# until clarified, only run the recommended "make check" tests
+python_test() {
+       PYTHONPATH="${S}/test:${BUILD_DIR}/lib" \
+               emake check || die "Tests failed under ${EPYTHON}"
+               #pytest -vv || die "Tests failed under ${EPYTHON}"
+}

Reply via email to